diff --git c/scala/actors/Exit.class w/scala/actors/Exit.class
index c8750e651c..f4d0ff511b 100644
--- c/scala/actors/Exit.class
+++ w/scala/actors/Exit.class
@@ -1,6 +1,6 @@
 
 Compiled from "Actor.scala"
-public class scala.actors.Exit extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.actors.Exit extends java.lang.Object implements scala.Product,scala.Serializable{
 private final scala.actors.AbstractActor from;
   Signature: Lscala/actors/AbstractActor;
 
diff --git c/scala/actors/FutureActor.class w/scala/actors/FutureActor.class
index 50a2369163..d05cf30617 100644
--- c/scala/actors/FutureActor.class
+++ w/scala/actors/FutureActor.class
@@ -4,7 +4,7 @@ public final #= # of #; //blocker$=class scala/actors/Actor$blocker$ of class sc
 public abstract #= # of #; //Value=class scala/Enumeration$Value of class scala/Enumeration
 
 Compiled from "Future.scala"
-public class scala.actors.FutureActor extends scala.actors.Future implements scala.actors.DaemonActor,scala.ScalaObject{
+public class scala.actors.FutureActor extends scala.actors.Future implements scala.actors.DaemonActor{
 public final scala.Function1 scala$actors$FutureActor$$fun;
   Signature: Lscala/Function1;
 
diff --git c/scala/actors/KillActorControl.class w/scala/actors/KillActorControl.class
index 135e7e5760..a2c443a9ab 100644
--- c/scala/actors/KillActorControl.class
+++ w/scala/actors/KillActorControl.class
@@ -1,6 +1,6 @@
 
 Compiled from "KillActorControl.scala"
-public class scala.actors.KillActorControl extends java.lang.Throwable implements scala.util.control.ControlThrowable,scala.ScalaObject{
+public class scala.actors.KillActorControl extends java.lang.Throwable implements scala.util.control.ControlThrowable{
 public java.lang.Throwable scala$util$control$NoStackTrace$$super$fillInStackTrace();
   Signature: ()Ljava/lang/Throwable;
   Code:
diff --git c/scala/actors/ReactChannel$SendToReactor.class w/scala/actors/ReactChannel$SendToReactor.class
index 6e1ec65b1e..31f024b111 100644
--- c/scala/actors/ReactChannel$SendToReactor.class
+++ w/scala/actors/ReactChannel$SendToReactor.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //SendToReactor=class scala/actors/ReactChannel$SendToReactor of class scala/actors/ReactChannel
 
 Compiled from "ReactChannel.scala"
-public class scala.actors.ReactChannel$SendToReactor extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.actors.ReactChannel$SendToReactor extends java.lang.Object implements scala.Product,scala.Serializable{
 private final scala.actors.ReactChannel channel;
   Signature: Lscala/actors/ReactChannel;
 
diff --git c/scala/actors/Reactor.class w/scala/actors/Reactor.class
index b599d78eea..f3bfeb6425 100644
--- c/scala/actors/Reactor.class
+++ w/scala/actors/Reactor.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Body=class scala/actors/Actor$Body of class scala/a
 public abstract #= # of #; //Value=class scala/Enumeration$Value of class scala/Enumeration
 
 Compiled from "Reactor.scala"
-public interface scala.actors.Reactor extends scala.actors.OutputChannel,scala.actors.Combinators,scala.ScalaObject{
+public interface scala.actors.Reactor extends scala.actors.OutputChannel,scala.actors.Combinators{
 public abstract void scala$actors$Reactor$_setter_$mailbox_$eq(scala.actors.MQueue);
   Signature: (Lscala/actors/MQueue;)V
 
diff --git c/scala/actors/ReplyReactor.class w/scala/actors/ReplyReactor.class
index dcb6a3bd28..6522767e92 100644
--- c/scala/actors/ReplyReactor.class
+++ w/scala/actors/ReplyReactor.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //Value=class scala/Enumeration$Value of class scala/Enumeration
 
 Compiled from "ReplyReactor.scala"
-public interface scala.actors.ReplyReactor extends scala.actors.Reactor,scala.actors.ReactorCanReply,scala.ScalaObject{
+public interface scala.actors.ReplyReactor extends scala.actors.Reactor,scala.actors.ReactorCanReply{
 public abstract void scala$actors$ReplyReactor$$super$resumeReceiver(scala.Tuple2, scala.PartialFunction, boolean);
   Signature: (Lscala/Tuple2;Lscala/PartialFunction;Z)V
 
diff --git c/scala/actors/Scheduler$.class w/scala/actors/Scheduler$.class
index ce30c97427..c4b0a02822 100644
--- c/scala/actors/Scheduler$.class
+++ w/scala/actors/Scheduler$.class
@@ -1,6 +1,6 @@
 
 Compiled from "Scheduler.scala"
-public final class scala.actors.Scheduler$ extends java.lang.Object implements scala.actors.scheduler.DelegatingScheduler,scala.ScalaObject{
+public final class scala.actors.Scheduler$ extends java.lang.Object implements scala.actors.scheduler.DelegatingScheduler{
 public static final scala.actors.Scheduler$ MODULE$;
   Signature: Lscala/actors/Scheduler$;
 
diff --git c/scala/actors/SchedulerAdapter.class w/scala/actors/SchedulerAdapter.class
index e74518c39a..5055fd088b 100644
--- c/scala/actors/SchedulerAdapter.class
+++ w/scala/actors/SchedulerAdapter.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "SchedulerAdapter.scala"
-public interface scala.actors.SchedulerAdapter extends scala.actors.IScheduler,scala.ScalaObject{
+public interface scala.actors.SchedulerAdapter extends scala.actors.IScheduler{
 public abstract void execute(java.lang.Runnable);
   Signature: (Ljava/lang/Runnable;)V
 
diff --git c/scala/actors/SuspendActorControl.class w/scala/actors/SuspendActorControl.class
index 9c285eb8f6..ba21a7753e 100644
--- c/scala/actors/SuspendActorControl.class
+++ w/scala/actors/SuspendActorControl.class
@@ -1,6 +1,6 @@
 
 Compiled from "Actor.scala"
-public class scala.actors.SuspendActorControl extends java.lang.Throwable implements scala.util.control.ControlThrowable,scala.ScalaObject{
+public class scala.actors.SuspendActorControl extends java.lang.Throwable implements scala.util.control.ControlThrowable{
 public java.lang.Throwable scala$util$control$NoStackTrace$$super$fillInStackTrace();
   Signature: ()Ljava/lang/Throwable;
   Code:
diff --git c/scala/actors/TIMEOUT$.class w/scala/actors/TIMEOUT$.class
index 0ad48f4bc0..c2d2ea3ede 100644
--- c/scala/actors/TIMEOUT$.class
+++ w/scala/actors/TIMEOUT$.class
@@ -1,6 +1,6 @@
 
 Compiled from "Actor.scala"
-public final class scala.actors.TIMEOUT$ extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.actors.TIMEOUT$ extends java.lang.Object implements scala.Product,scala.Serializable{
 public static final scala.actors.TIMEOUT$ MODULE$;
   Signature: Lscala/actors/TIMEOUT$;
 
diff --git c/scala/actors/UncaughtException.class w/scala/actors/UncaughtException.class
index 3791fffe3a..c3944b005b 100644
--- c/scala/actors/UncaughtException.class
+++ w/scala/actors/UncaughtException.class
@@ -1,6 +1,6 @@
 
 Compiled from "UncaughtException.scala"
-public class scala.actors.UncaughtException extends java.lang.Exception implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.actors.UncaughtException extends java.lang.Exception implements scala.Product,scala.Serializable{
 private final scala.actors.Actor actor;
   Signature: Lscala/actors/Actor;
 
diff --git c/scala/actors/remote/DelegateActor.class w/scala/actors/remote/DelegateActor.class
index 3c911d8782..5d4f37bea7 100644
--- c/scala/actors/remote/DelegateActor.class
+++ w/scala/actors/remote/DelegateActor.class
@@ -4,7 +4,7 @@ public final #= # of #; //blocker$=class scala/actors/Actor$blocker$ of class sc
 public abstract #= # of #; //Value=class scala/Enumeration$Value of class scala/Enumeration
 
 Compiled from "Proxy.scala"
-public class scala.actors.remote.DelegateActor extends java.lang.Object implements scala.actors.Actor,scala.ScalaObject{
+public class scala.actors.remote.DelegateActor extends java.lang.Object implements scala.actors.Actor{
 public final scala.actors.remote.Proxy scala$actors$remote$DelegateActor$$creator;
   Signature: Lscala/actors/remote/Proxy;
 
diff --git c/scala/actors/remote/ExitFun.class w/scala/actors/remote/ExitFun.class
index 7f59c2094e..034f6c19ae 100644
--- c/scala/actors/remote/ExitFun.class
+++ w/scala/actors/remote/ExitFun.class
@@ -1,6 +1,6 @@
 
 Compiled from "Proxy.scala"
-public final class scala.actors.remote.ExitFun extends java.lang.Object implements scala.Function2,scala.Serializable,scala.ScalaObject{
+public final class scala.actors.remote.ExitFun extends java.lang.Object implements scala.Function2,scala.Serializable{
 private final java.lang.Object reason;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/actors/remote/LinkToFun.class w/scala/actors/remote/LinkToFun.class
index 9bc73767ad..b5d30b4295 100644
--- c/scala/actors/remote/LinkToFun.class
+++ w/scala/actors/remote/LinkToFun.class
@@ -1,6 +1,6 @@
 
 Compiled from "Proxy.scala"
-public final class scala.actors.remote.LinkToFun extends java.lang.Object implements scala.Function2,scala.Serializable,scala.ScalaObject{
+public final class scala.actors.remote.LinkToFun extends java.lang.Object implements scala.Function2,scala.Serializable{
 public boolean apply$mcZDD$sp(double, double);
   Signature: (DD)Z
   Code:
diff --git c/scala/actors/remote/Locator.class w/scala/actors/remote/Locator.class
index 3d85102de0..d72a1d152f 100644
--- c/scala/actors/remote/Locator.class
+++ w/scala/actors/remote/Locator.class
@@ -1,6 +1,6 @@
 
 Compiled from "NetKernel.scala"
-public class scala.actors.remote.Locator extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.actors.remote.Locator extends java.lang.Object implements scala.Product,scala.Serializable{
 private final scala.actors.remote.Node node;
   Signature: Lscala/actors/remote/Node;
 
diff --git c/scala/actors/remote/NamedSend.class w/scala/actors/remote/NamedSend.class
index d6e1e3a0ca..3a05e5f474 100644
--- c/scala/actors/remote/NamedSend.class
+++ w/scala/actors/remote/NamedSend.class
@@ -1,6 +1,6 @@
 
 Compiled from "NetKernel.scala"
-public class scala.actors.remote.NamedSend extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.actors.remote.NamedSend extends java.lang.Object implements scala.Product,scala.Serializable{
 private final scala.actors.remote.Locator senderLoc;
   Signature: Lscala/actors/remote/Locator;
 
diff --git c/scala/actors/remote/Node.class w/scala/actors/remote/Node.class
index 1736472e0a..b3d65fce3a 100644
--- c/scala/actors/remote/Node.class
+++ w/scala/actors/remote/Node.class
@@ -1,6 +1,6 @@
 
 Compiled from "RemoteActor.scala"
-public class scala.actors.remote.Node extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.actors.remote.Node extends java.lang.Object implements scala.Product,scala.Serializable{
 private final java.lang.String address;
   Signature: Ljava/lang/String;
 
diff --git c/scala/actors/remote/Proxy.class w/scala/actors/remote/Proxy.class
index 01df81d1f2..86b099042c 100644
--- c/scala/actors/remote/Proxy.class
+++ w/scala/actors/remote/Proxy.class
@@ -1,6 +1,6 @@
 
 Compiled from "Proxy.scala"
-public class scala.actors.remote.Proxy extends java.lang.Object implements scala.actors.AbstractActor,scala.Serializable,scala.ScalaObject{
+public class scala.actors.remote.Proxy extends java.lang.Object implements scala.actors.AbstractActor,scala.Serializable{
 private final scala.actors.remote.Node node;
   Signature: Lscala/actors/remote/Node;
 
diff --git c/scala/actors/remote/SendTo.class w/scala/actors/remote/SendTo.class
index e24a15cf3a..62cced58b2 100644
--- c/scala/actors/remote/SendTo.class
+++ w/scala/actors/remote/SendTo.class
@@ -1,6 +1,6 @@
 
 Compiled from "NetKernel.scala"
-public class scala.actors.remote.SendTo extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.actors.remote.SendTo extends java.lang.Object implements scala.Product,scala.Serializable{
 private final scala.actors.OutputChannel a;
   Signature: Lscala/actors/OutputChannel;
 
diff --git c/scala/actors/remote/TcpService.class w/scala/actors/remote/TcpService.class
index 56b34b4874..e09dbfc8a0 100644
--- c/scala/actors/remote/TcpService.class
+++ w/scala/actors/remote/TcpService.class
@@ -2,7 +2,7 @@ InnerClasses:
 public final #= # of #; //Pair$=class scala/Predef$Pair$ of class scala/Predef
 
 Compiled from "TcpService.scala"
-public class scala.actors.remote.TcpService extends java.lang.Thread implements scala.actors.remote.Service,scala.ScalaObject{
+public class scala.actors.remote.TcpService extends java.lang.Thread implements scala.actors.remote.Service{
 private final int port;
   Signature: I
 
diff --git c/scala/actors/remote/Terminate$.class w/scala/actors/remote/Terminate$.class
index e07bce4f31..4922534531 100644
--- c/scala/actors/remote/Terminate$.class
+++ w/scala/actors/remote/Terminate$.class
@@ -1,6 +1,6 @@
 
 Compiled from "NetKernel.scala"
-public final class scala.actors.remote.Terminate$ extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.actors.remote.Terminate$ extends java.lang.Object implements scala.Product,scala.Serializable{
 public static final scala.actors.remote.Terminate$ MODULE$;
   Signature: Lscala/actors/remote/Terminate$;
 
diff --git c/scala/actors/remote/UnlinkFromFun.class w/scala/actors/remote/UnlinkFromFun.class
index dc68fcb73c..4ebfa20d12 100644
--- c/scala/actors/remote/UnlinkFromFun.class
+++ w/scala/actors/remote/UnlinkFromFun.class
@@ -1,6 +1,6 @@
 
 Compiled from "Proxy.scala"
-public final class scala.actors.remote.UnlinkFromFun extends java.lang.Object implements scala.Function2,scala.Serializable,scala.ScalaObject{
+public final class scala.actors.remote.UnlinkFromFun extends java.lang.Object implements scala.Function2,scala.Serializable{
 public boolean apply$mcZDD$sp(double, double);
   Signature: (DD)Z
   Code:
diff --git c/scala/actors/scheduler/ActorGC.class w/scala/actors/scheduler/ActorGC.class
index 164e6bc1d1..be7886927a 100644
--- c/scala/actors/scheduler/ActorGC.class
+++ w/scala/actors/scheduler/ActorGC.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ActorGC.scala"
-public interface scala.actors.scheduler.ActorGC extends scala.actors.scheduler.TerminationMonitor,scala.ScalaObject{
+public interface scala.actors.scheduler.ActorGC extends scala.actors.scheduler.TerminationMonitor{
 public abstract void scala$actors$scheduler$ActorGC$_setter_$scala$actors$scheduler$ActorGC$$refQ_$eq(java.lang.ref.ReferenceQueue);
   Signature: (Ljava/lang/ref/ReferenceQueue;)V
 
diff --git c/scala/actors/scheduler/DaemonScheduler$.class w/scala/actors/scheduler/DaemonScheduler$.class
index 6102348b31..41ac879e4a 100644
--- c/scala/actors/scheduler/DaemonScheduler$.class
+++ w/scala/actors/scheduler/DaemonScheduler$.class
@@ -1,6 +1,6 @@
 
 Compiled from "DaemonScheduler.scala"
-public final class scala.actors.scheduler.DaemonScheduler$ extends java.lang.Object implements scala.actors.scheduler.DelegatingScheduler,scala.ScalaObject{
+public final class scala.actors.scheduler.DaemonScheduler$ extends java.lang.Object implements scala.actors.scheduler.DelegatingScheduler{
 public static final scala.actors.scheduler.DaemonScheduler$ MODULE$;
   Signature: Lscala/actors/scheduler/DaemonScheduler$;
 
diff --git c/scala/actors/scheduler/DelegatingScheduler.class w/scala/actors/scheduler/DelegatingScheduler.class
index 2cc4db7a1c..8ec395cd87 100644
--- c/scala/actors/scheduler/DelegatingScheduler.class
+++ w/scala/actors/scheduler/DelegatingScheduler.class
@@ -1,6 +1,6 @@
 
 Compiled from "DelegatingScheduler.scala"
-public interface scala.actors.scheduler.DelegatingScheduler extends scala.actors.IScheduler,scala.ScalaObject{
+public interface scala.actors.scheduler.DelegatingScheduler extends scala.actors.IScheduler{
 public abstract scala.actors.IScheduler makeNewScheduler();
   Signature: ()Lscala/actors/IScheduler;
 
diff --git c/scala/actors/scheduler/ExecutorScheduler.class w/scala/actors/scheduler/ExecutorScheduler.class
index 820df5b58f..1f563c0be9 100644
--- c/scala/actors/scheduler/ExecutorScheduler.class
+++ w/scala/actors/scheduler/ExecutorScheduler.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //RunCallable=class scala/actors/scheduler/ExecutorScheduler$RunCallable of class scala/actors/scheduler/ExecutorScheduler
 
 Compiled from "ExecutorScheduler.scala"
-public interface scala.actors.scheduler.ExecutorScheduler extends scala.actors.IScheduler,scala.actors.scheduler.TerminationService,scala.concurrent.ThreadPoolRunner,scala.ScalaObject{
+public interface scala.actors.scheduler.ExecutorScheduler extends scala.actors.IScheduler,scala.actors.scheduler.TerminationService,scala.concurrent.ThreadPoolRunner{
 public abstract void execute(java.lang.Runnable);
   Signature: (Ljava/lang/Runnable;)V
 
diff --git c/scala/actors/scheduler/ForkJoinScheduler.class w/scala/actors/scheduler/ForkJoinScheduler.class
index 1bf564650c..bebc83b003 100644
--- c/scala/actors/scheduler/ForkJoinScheduler.class
+++ w/scala/actors/scheduler/ForkJoinScheduler.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //ManagedBlocker=class scala/concurrent/forkjoin/ForkJoinPool$ManagedBlocker of class scala/concurrent/forkjoin/ForkJoinPool
 
 Compiled from "ForkJoinScheduler.scala"
-public class scala.actors.scheduler.ForkJoinScheduler extends java.lang.Object implements java.lang.Runnable,scala.actors.IScheduler,scala.actors.scheduler.TerminationMonitor,scala.ScalaObject{
+public class scala.actors.scheduler.ForkJoinScheduler extends java.lang.Object implements java.lang.Runnable,scala.actors.IScheduler,scala.actors.scheduler.TerminationMonitor{
 private final int initCoreSize;
   Signature: I
 
diff --git c/scala/actors/scheduler/QuitControl.class w/scala/actors/scheduler/QuitControl.class
index c03bf8798d..decbf0ea96 100644
--- c/scala/actors/scheduler/QuitControl.class
+++ w/scala/actors/scheduler/QuitControl.class
@@ -1,6 +1,6 @@
 
 Compiled from "QuitControl.scala"
-public class scala.actors.scheduler.QuitControl extends java.lang.Throwable implements scala.util.control.ControlThrowable,scala.ScalaObject{
+public class scala.actors.scheduler.QuitControl extends java.lang.Throwable implements scala.util.control.ControlThrowable{
 public java.lang.Throwable scala$util$control$NoStackTrace$$super$fillInStackTrace();
   Signature: ()Ljava/lang/Throwable;
   Code:
diff --git c/scala/actors/scheduler/ResizableThreadPoolScheduler.class w/scala/actors/scheduler/ResizableThreadPoolScheduler.class
index d03657823f..c0c0ff82da 100644
--- c/scala/actors/scheduler/ResizableThreadPoolScheduler.class
+++ w/scala/actors/scheduler/ResizableThreadPoolScheduler.class
@@ -5,7 +5,7 @@ public #= # of #; //CallerRunsPolicy=class scala/actors/threadpool/ThreadPoolExe
 public #= # of #; //DaemonThreadFactory=class scala/actors/scheduler/ResizableThreadPoolScheduler$DaemonThreadFactory of class scala/actors/scheduler/ResizableThreadPoolScheduler
 
 Compiled from "ResizableThreadPoolScheduler.scala"
-public class scala.actors.scheduler.ResizableThreadPoolScheduler extends java.lang.Thread implements scala.actors.IScheduler,scala.actors.scheduler.TerminationMonitor,scala.ScalaObject{
+public class scala.actors.scheduler.ResizableThreadPoolScheduler extends java.lang.Thread implements scala.actors.IScheduler,scala.actors.scheduler.TerminationMonitor{
 private final boolean terminate;
   Signature: Z
 
diff --git c/scala/actors/scheduler/SingleThreadedScheduler.class w/scala/actors/scheduler/SingleThreadedScheduler.class
index e73bf7a22e..d37df58e28 100644
--- c/scala/actors/scheduler/SingleThreadedScheduler.class
+++ w/scala/actors/scheduler/SingleThreadedScheduler.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "SingleThreadedScheduler.scala"
-public class scala.actors.scheduler.SingleThreadedScheduler extends java.lang.Object implements scala.actors.IScheduler,scala.ScalaObject{
+public class scala.actors.scheduler.SingleThreadedScheduler extends java.lang.Object implements scala.actors.IScheduler{
 private final scala.collection.mutable.Queue tasks;
   Signature: Lscala/collection/mutable/Queue;
 
diff --git c/scala/actors/scheduler/TerminationService.class w/scala/actors/scheduler/TerminationService.class
index 63f56dc106..7593da9608 100644
--- c/scala/actors/scheduler/TerminationService.class
+++ w/scala/actors/scheduler/TerminationService.class
@@ -1,6 +1,6 @@
 
 Compiled from "TerminationService.scala"
-public interface scala.actors.scheduler.TerminationService extends scala.actors.scheduler.TerminationMonitor,scala.ScalaObject{
+public interface scala.actors.scheduler.TerminationService extends scala.actors.scheduler.TerminationMonitor{
 public abstract void scala$actors$scheduler$TerminationService$_setter_$terminate_$eq(boolean);
   Signature: (Z)V
 
diff --git c/scala/collection/AbstractIterable.class w/scala/collection/AbstractIterable.class
index 0478c3656a..43fccb3934 100644
--- c/scala/collection/AbstractIterable.class
+++ w/scala/collection/AbstractIterable.class
@@ -1,6 +1,6 @@
 
 Compiled from "Iterable.scala"
-public abstract class scala.collection.AbstractIterable extends scala.collection.AbstractTraversable implements scala.collection.Iterable,scala.ScalaObject{
+public abstract class scala.collection.AbstractIterable extends scala.collection.AbstractTraversable implements scala.collection.Iterable{
 public scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
   Code:
diff --git c/scala/collection/AbstractIterator.class w/scala/collection/AbstractIterator.class
index 90daf8e5f2..ac00decd5e 100644
--- c/scala/collection/AbstractIterator.class
+++ w/scala/collection/AbstractIterator.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$les
 public #= # of #; //GroupedIterator=class scala/collection/Iterator$GroupedIterator of class scala/collection/Iterator
 
 Compiled from "Iterator.scala"
-public abstract class scala.collection.AbstractIterator extends java.lang.Object implements scala.collection.Iterator,scala.ScalaObject{
+public abstract class scala.collection.AbstractIterator extends java.lang.Object implements scala.collection.Iterator{
 public scala.collection.Iterator seq();
   Signature: ()Lscala/collection/Iterator;
   Code:
diff --git c/scala/collection/AbstractMap.class w/scala/collection/AbstractMap.class
index 34beb70ece..66911c6b37 100644
--- c/scala/collection/AbstractMap.class
+++ w/scala/collection/AbstractMap.class
@@ -1,6 +1,6 @@
 
 Compiled from "Map.scala"
-public abstract class scala.collection.AbstractMap extends scala.collection.AbstractIterable implements scala.collection.Map,scala.ScalaObject{
+public abstract class scala.collection.AbstractMap extends scala.collection.AbstractIterable implements scala.collection.Map{
 public scala.collection.Map empty();
   Signature: ()Lscala/collection/Map;
   Code:
diff --git c/scala/collection/AbstractSeq.class w/scala/collection/AbstractSeq.class
index cfd1a1bc1f..f9076a2eab 100644
--- c/scala/collection/AbstractSeq.class
+++ w/scala/collection/AbstractSeq.class
@@ -1,6 +1,6 @@
 
 Compiled from "Seq.scala"
-public abstract class scala.collection.AbstractSeq extends scala.collection.AbstractIterable implements scala.collection.Seq,scala.ScalaObject{
+public abstract class scala.collection.AbstractSeq extends scala.collection.AbstractIterable implements scala.collection.Seq{
 public scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
   Code:
diff --git c/scala/collection/AbstractSet.class w/scala/collection/AbstractSet.class
index 77151c9650..948f68e516 100644
--- c/scala/collection/AbstractSet.class
+++ w/scala/collection/AbstractSet.class
@@ -1,6 +1,6 @@
 
 Compiled from "Set.scala"
-public abstract class scala.collection.AbstractSet extends scala.collection.AbstractIterable implements scala.collection.Set,scala.ScalaObject{
+public abstract class scala.collection.AbstractSet extends scala.collection.AbstractIterable implements scala.collection.Set{
 public scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
   Code:
diff --git c/scala/collection/AbstractTraversable.class w/scala/collection/AbstractTraversable.class
index 916d7deb03..9b26c3d7ea 100644
--- c/scala/collection/AbstractTraversable.class
+++ w/scala/collection/AbstractTraversable.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "Traversable.scala"
-public abstract class scala.collection.AbstractTraversable extends java.lang.Object implements scala.collection.Traversable,scala.ScalaObject{
+public abstract class scala.collection.AbstractTraversable extends java.lang.Object implements scala.collection.Traversable{
 public scala.collection.Traversable scala$collection$Traversable$$super$flatten(scala.Function1);
   Signature: (Lscala/Function1;)Lscala/collection/Traversable;
   Code:
diff --git c/scala/collection/BitSet$.class w/scala/collection/BitSet$.class
index a2bf3d26fc..bbb25311c4 100644
--- c/scala/collection/BitSet$.class
+++ w/scala/collection/BitSet$.class
@@ -1,6 +1,6 @@
 
 Compiled from "BitSet.scala"
-public final class scala.collection.BitSet$ extends java.lang.Object implements scala.collection.generic.BitSetFactory,scala.ScalaObject{
+public final class scala.collection.BitSet$ extends java.lang.Object implements scala.collection.generic.BitSetFactory{
 public static final scala.collection.BitSet$ MODULE$;
   Signature: Lscala/collection/BitSet$;
 
diff --git c/scala/collection/BitSet.class w/scala/collection/BitSet.class
index d5307bc718..835962e71a 100644
--- c/scala/collection/BitSet.class
+++ w/scala/collection/BitSet.class
@@ -1,6 +1,6 @@
 
 Compiled from "BitSet.scala"
-public interface scala.collection.BitSet extends scala.collection.SortedSet,scala.collection.BitSetLike,scala.ScalaObject{
+public interface scala.collection.BitSet extends scala.collection.SortedSet,scala.collection.BitSetLike{
 public abstract scala.collection.BitSet empty();
   Signature: ()Lscala/collection/BitSet;
 
diff --git c/scala/collection/BitSetLike.class w/scala/collection/BitSetLike.class
index f516681d88..a67b639e07 100644
--- c/scala/collection/BitSetLike.class
+++ w/scala/collection/BitSetLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "BitSetLike.scala"
-public interface scala.collection.BitSetLike extends scala.collection.SortedSetLike,scala.ScalaObject{
+public interface scala.collection.BitSetLike extends scala.collection.SortedSetLike{
 public abstract scala.collection.BitSetLike empty();
   Signature: ()Lscala/collection/BitSetLike;
 
diff --git c/scala/collection/BufferedIterator.class w/scala/collection/BufferedIterator.class
index bdc3c23577..41808faf0d 100644
--- c/scala/collection/BufferedIterator.class
+++ w/scala/collection/BufferedIterator.class
@@ -1,6 +1,6 @@
 
 Compiled from "BufferedIterator.scala"
-public interface scala.collection.BufferedIterator extends scala.collection.Iterator,scala.ScalaObject{
+public interface scala.collection.BufferedIterator extends scala.collection.Iterator{
 public abstract java.lang.Object head();
   Signature: ()Ljava/lang/Object;
 
diff --git c/scala/collection/CustomParallelizable.class w/scala/collection/CustomParallelizable.class
index 8b54e595e8..a49a73fb25 100644
--- c/scala/collection/CustomParallelizable.class
+++ w/scala/collection/CustomParallelizable.class
@@ -1,6 +1,6 @@
 
 Compiled from "CustomParallelizable.scala"
-public interface scala.collection.CustomParallelizable extends scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.CustomParallelizable extends scala.collection.Parallelizable{
 public abstract scala.collection.Parallel par();
   Signature: ()Lscala/collection/Parallel;
 
diff --git c/scala/collection/DefaultMap.class w/scala/collection/DefaultMap.class
index 8fce51536e..5fbfc4d5a2 100644
--- c/scala/collection/DefaultMap.class
+++ w/scala/collection/DefaultMap.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "DefaultMap.scala"
-public interface scala.collection.DefaultMap extends scala.collection.Map,scala.ScalaObject{
+public interface scala.collection.DefaultMap extends scala.collection.Map{
 public abstract scala.collection.Map $plus(scala.Tuple2);
   Signature: (Lscala/Tuple2;)Lscala/collection/Map;
 
diff --git c/scala/collection/GenIterable.class w/scala/collection/GenIterable.class
index 77d3dfeb1b..2604381473 100644
--- c/scala/collection/GenIterable.class
+++ w/scala/collection/GenIterable.class
@@ -1,6 +1,6 @@
 
 Compiled from "GenIterable.scala"
-public interface scala.collection.GenIterable extends scala.collection.GenIterableLike,scala.collection.GenTraversable,scala.collection.generic.GenericTraversableTemplate,scala.ScalaObject{
+public interface scala.collection.GenIterable extends scala.collection.GenIterableLike,scala.collection.GenTraversable{
 public abstract scala.collection.Iterable seq();
   Signature: ()Lscala/collection/Iterable;
 
diff --git c/scala/collection/GenIterableLike.class w/scala/collection/GenIterableLike.class
index 85025563e0..1c9ca6d339 100644
--- c/scala/collection/GenIterableLike.class
+++ w/scala/collection/GenIterableLike.class
@@ -1,6 +1,6 @@
 
 Compiled from "GenIterableLike.scala"
-public interface scala.collection.GenIterableLike extends scala.collection.GenTraversableLike,scala.ScalaObject{
+public interface scala.collection.GenIterableLike extends scala.collection.GenTraversableLike{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/GenIterableViewLike$Appended.class w/scala/collection/GenIterableViewLike$Appended.class
index 7c3a228f8d..581de52517 100644
--- c/scala/collection/GenIterableViewLike$Appended.class
+++ w/scala/collection/GenIterableViewLike$Appended.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Appended=class scala/collection/GenTraversableViewL
 public abstract #= # of #; //Transformed=class scala/collection/GenIterableViewLike$Transformed of class scala/collection/GenIterableViewLike
 
 Compiled from "GenIterableViewLike.scala"
-public interface scala.collection.GenIterableViewLike$Appended extends scala.collection.GenTraversableViewLike$Appended,scala.collection.GenIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenIterableViewLike$Appended extends scala.collection.GenTraversableViewLike$Appended,scala.collection.GenIterableViewLike$Transformed{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
diff --git c/scala/collection/GenIterableViewLike$DroppedWhile.class w/scala/collection/GenIterableViewLike$DroppedWhile.class
index 42396d2c3a..62481b3400 100644
--- c/scala/collection/GenIterableViewLike$DroppedWhile.class
+++ w/scala/collection/GenIterableViewLike$DroppedWhile.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //DroppedWhile=class scala/collection/GenIterableView
 public abstract #= # of #; //DroppedWhile=class scala/collection/GenTraversableViewLike$DroppedWhile of class scala/collection/GenTraversableViewLike
 
 Compiled from "GenIterableViewLike.scala"
-public interface scala.collection.GenIterableViewLike$DroppedWhile extends scala.collection.GenTraversableViewLike$DroppedWhile,scala.collection.GenIterableViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.GenIterableViewLike$DroppedWhile extends scala.collection.GenTraversableViewLike$DroppedWhile,scala.collection.GenIterableViewLike$Transformed{
 public abstract scala.collection.Iterator iterator();
   Signature: ()Lscala/collection/Iterator;
 
